summaryrefslogtreecommitdiff
path: root/x11-apps/xinit/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-05-18 00:10:51 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-05-18 00:10:51 +0100
commiteccb70a7f91b2d22582587f26d1a28bb31408b45 (patch)
tree3223e1fd54201bcf4ebecac6fbe87361cbe643e2 /x11-apps/xinit/files
parenta2810985afabcc31d3eace5e61d8ea25b852ba17 (diff)
gentoo resync : 18.05.2019
Diffstat (limited to 'x11-apps/xinit/files')
-rw-r--r--x11-apps/xinit/files/startDM.sh13
-rw-r--r--x11-apps/xinit/files/startDM.sh.130
-rw-r--r--x11-apps/xinit/files/xinit-1.4.1-move-serverauthfile-into-tmp.patch22
3 files changed, 59 insertions, 6 deletions
diff --git a/x11-apps/xinit/files/startDM.sh b/x11-apps/xinit/files/startDM.sh
index e2da6098d6a0..640bb24b7a26 100644
--- a/x11-apps/xinit/files/startDM.sh
+++ b/x11-apps/xinit/files/startDM.sh
@@ -1,22 +1,23 @@
#!/bin/sh
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License, v2
# We need to source /etc/profile for stuff like $LANG to work
# bug #10190.
. /etc/profile
-. /etc/init.d/functions.sh
+. /lib/rc/sh/functions.sh
+
+# Bail out early if on a non-OpenRC system:
+if [ ! -d /run/openrc ]; then
+ eerror "$0 should only be used on OpenRC systems"
+fi
# baselayout-1 compat
if ! type get_options >/dev/null 2>/dev/null ; then
[ -r "${svclib}"/sh/rc-services.sh ] && . "${svclib}"/sh/rc-services.sh
fi
-# Great new Gnome2 feature, AA
-# We enable this by default
-export GDK_USE_XFT=1
-
export RC_SVCNAME=xdm
EXEC="$(get_options service)"
NAME="$(get_options name)"
diff --git a/x11-apps/xinit/files/startDM.sh.1 b/x11-apps/xinit/files/startDM.sh.1
new file mode 100644
index 000000000000..e2da6098d6a0
--- /dev/null
+++ b/x11-apps/xinit/files/startDM.sh.1
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2
+
+# We need to source /etc/profile for stuff like $LANG to work
+# bug #10190.
+. /etc/profile
+
+. /etc/init.d/functions.sh
+
+# baselayout-1 compat
+if ! type get_options >/dev/null 2>/dev/null ; then
+ [ -r "${svclib}"/sh/rc-services.sh ] && . "${svclib}"/sh/rc-services.sh
+fi
+
+# Great new Gnome2 feature, AA
+# We enable this by default
+export GDK_USE_XFT=1
+
+export RC_SVCNAME=xdm
+EXEC="$(get_options service)"
+NAME="$(get_options name)"
+PIDFILE="$(get_options pidfile)"
+START_STOP_ARGS="$(get_options start_stop_args)"
+
+start-stop-daemon --start --exec ${EXEC} \
+${NAME:+--name} ${NAME} ${PIDFILE:+--pidfile} ${PIDFILE} ${START_STOP_ARGS} || \
+eerror "ERROR: could not start the Display Manager"
+
+# vim:ts=4
diff --git a/x11-apps/xinit/files/xinit-1.4.1-move-serverauthfile-into-tmp.patch b/x11-apps/xinit/files/xinit-1.4.1-move-serverauthfile-into-tmp.patch
new file mode 100644
index 000000000000..339b65311712
--- /dev/null
+++ b/x11-apps/xinit/files/xinit-1.4.1-move-serverauthfile-into-tmp.patch
@@ -0,0 +1,22 @@
+Move startx auth files in /tmp so they are removed on reboot.
+https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=357736
+The trap patch didn't seem to work on reboot.
+---
+ startx.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/startx.cpp
++++ b/startx.cpp
+@@ -278,11 +278,11 @@ if [ x"$enable_xauth" = x1 ] ; then
+ exit 1
+ fi
+ dummy=0
+
+ XCOMM create a file with auth information for the server. ':0' is a dummy.
+- xserverauthfile=$HOME/.serverauth.$$
++ xserverauthfile=`mktemp --tmpdir serverauth.XXXXXXXXXX`
+ trap "rm -f '$xserverauthfile'" HUP INT QUIT ILL TRAP KILL BUS TERM
+ xauth -q -f "$xserverauthfile" << EOF
+ add :$dummy . $mcookie
+ EOF
+ #if defined(__APPLE__) || defined(__CYGWIN__)